Bug 26725 - Improve link text on Patron attributes administration page
Summary: Improve link text on Patron attributes administration page
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Tal Rogoff
QA Contact: Testopia
URL:
Keywords: Academy
Depends on:
Blocks: 26722
  Show dependency treegraph
 
Reported: 2020-10-18 15:48 UTC by Katrin Fischer
Modified: 2021-06-14 21:29 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:
20.11.00, 20.05.06


Attachments
bug 26725: changed the text of the "here" link on the patron attributes administration page (1.84 KB, patch)
2020-10-23 22:22 UTC, Alex Buckley
Details | Diff | Splinter Review
bug 26725: link text changed to just system preference name. "system preference" put in sentence case. (1.57 KB, patch)
2020-10-23 22:51 UTC, Alex Buckley
Details | Diff | Splinter Review
bug 26725: changed the text of the "here" link on the patron attributes administration page (1.89 KB, patch)
2020-10-23 23:18 UTC, David Nind
Details | Diff | Splinter Review
bug 26725: link text changed to just system preference name. "system preference" put in sentence case. (1.62 KB, patch)
2020-10-23 23:18 UTC, David Nind
Details | Diff | Splinter Review
Bug 26725: changed the text of the "here" link on the patron attributes administration page (1.95 KB, patch)
2020-10-24 00:43 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 26725: link text changed to just system preference name. "system preference" put in sentence case. (1.67 KB, patch)
2020-10-24 00:43 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 26725: (QA follow-up) Add line break and 'the' for readability (1.60 KB, patch)
2020-10-24 00:43 UTC, Nick Clemens
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2020-10-18 15:48:45 UTC
There is a link labelled "here" that should be improved on the patron attributes page.

To test:
- Set ExtendedPatronAttributes system preference to "Don't enable"
- Go to Administration > Patron attribute types

The "here" link in the blue box at the top of the page should have a more meaningful link text.
Comment 1 Alex Buckley 2020-10-23 22:22:41 UTC
Created attachment 112314 [details] [review]
bug 26725: changed the text of the "here" link on the patron attributes administration page

test plan:
1. set ExtendedPatronAttributes system preferences to "Don't enable"
2. go to Administration > Patron attribute types
3. the link text of "here" is displayed in the blue box at the top of
the page
4. apply the patch
5. refresh the page
6. notice the link text has changed to "ExtendedPatronAttributes System
Preference"
Comment 2 David Nind 2020-10-23 22:39:21 UTC
This all works as per the test plan, but I would:

- just link the system preference name
- put system preference in sentence case.

A nice improvement and gets rid of the 'click here' type links!
Comment 3 Alex Buckley 2020-10-23 22:51:20 UTC
Created attachment 112315 [details] [review]
bug 26725: link text changed to just system preference name. "system preference" put in sentence case.
Comment 4 Alex Buckley 2020-10-23 22:52:42 UTC
Attached patch that fixes your notes in comment #2. Could you please test again?
Comment 5 David Nind 2020-10-23 23:18:49 UTC
Created attachment 112319 [details] [review]
bug 26725: changed the text of the "here" link on the patron attributes administration page

test plan:
1. set ExtendedPatronAttributes system preferences to "Don't enable"
2. go to Administration > Patron attribute types
3. the link text of "here" is displayed in the blue box at the top of
the page
4. apply the patch
5. refresh the page
6. notice the link text has changed to "ExtendedPatronAttributes System
Preference"

Signed-off-by: David Nind <david@davidnind.com>
Comment 6 David Nind 2020-10-23 23:18:56 UTC
Created attachment 112320 [details] [review]
bug 26725: link text changed to just system preference name. "system preference" put in sentence case.

Signed-off-by: David Nind <david@davidnind.com>
Comment 7 Nick Clemens 2020-10-24 00:43:19 UTC
Created attachment 112343 [details] [review]
Bug 26725: changed the text of the "here" link on the patron attributes administration page

test plan:
1. set ExtendedPatronAttributes system preferences to "Don't enable"
2. go to Administration > Patron attribute types
3. the link text of "here" is displayed in the blue box at the top of
the page
4. apply the patch
5. refresh the page
6. notice the link text has changed to "ExtendedPatronAttributes System
Preference"

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 8 Nick Clemens 2020-10-24 00:43:25 UTC
Created attachment 112344 [details] [review]
Bug 26725: link text changed to just system preference name. "system preference" put in sentence case.

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 9 Nick Clemens 2020-10-24 00:43:31 UTC
Created attachment 112345 [details] [review]
Bug 26725: (QA follow-up) Add line break and 'the' for readability

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 10 Alex Buckley 2020-10-24 01:29:38 UTC
Now Tal has a Bugzilla account, I'll set her as the assignee :)
Comment 11 Jonathan Druart 2020-10-25 23:08:48 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 12 Jonathan Druart 2020-10-25 23:18:31 UTC
Congratulations Tal for your first patch pushed!
Comment 13 Aleisha Amohia 2020-11-17 05:05:59 UTC
enhancement, not backported to 19.11.x
Comment 14 Aleisha Amohia 2020-11-17 20:47:26 UTC
Lucas has also backported this to 20.05.x for 20.05.06